Package org.apache.synapse.commons.templates.uri.parser

## Class SimpleStringExpression

- java.lang.Object
- - org.apache.synapse.commons.templates.uri.parser.Node
  - - org.apache.synapse.commons.templates.uri.parser.Expression
    - - org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression

- Direct Known Subclasses:
    `LabelExpression`, `ReservedStringExpression`

      public class SimpleStringExpression
      extends Expression

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `variableList`

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `hasQueryTemplate, next, token`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleStringExpression​(String token)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected char` | `getSeparator()` |
    `protected boolean` | `isReserved​(char ch)` |
    `protected boolean` | `setVariables​(String expressionValue, Map<String,​String> variables)` |

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `decodeValue, encodeValue`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `expandAll, hasQueryTemplate, matchAll, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStringExpression

          public SimpleStringExpression​(String token)
                                 throws URITemplateException

      Throws:
        `URITemplateException`

  - ### Method Detail

    - #### getSeparator

          protected char getSeparator()

    - #### setVariables

          protected boolean setVariables​(String expressionValue,
                                         Map<String,​String> variables)

    - #### isReserved

          protected boolean isReserved​(char ch)